<?php
//TITLE=Simple pdf to html converter

$title = 'Simple pdf to html converter';
$progname = 'pdf2simplehtml';

function usagetext($prog)
{
  exec($prog.' --help', $kk);
  $k='';foreach($kk as $s)$k.="$s\n";
  return $k;
}

$text = array(
   '1. Purpose' => "

Converts PDF files into simple HTML.

", '1. Copying' => "

This code has been written by Joel Yliluoma, a.k.a.
<a href=\"http://iki.fi/bisqwit/\">Bisqwit</a>,<br>
and is distributed under the following terms:<br>
<blockquote><code>".
str_replace("\n",'<br>',htmlspecialchars(fread(fopen('/WWW/TINYFREELICENSE','r'),filesize('/WWW/TINYFREELICENSE')))).
"</code></blockquote>

", '1. Requirements' => "

GNU make is probably required.
<br>
swftools is required -- particularly, the source code
of its \"pdf2swf/xpdf\" directory and the \"libpdf.a\"
file which is formed when the source code is compiled.
Edit the Makefile
and change the XPDF setting to point to your xpdf directory
within the swftools source code directory.
<br>
xpdf and swftools are not required on runtime.

", '1. Notes' => "

Full reconstruction of HTML pages from PDF documents is not
possible. PDF is merely a sequence of rendering instructions;
i.e., it is all about layout, nothing about structure.
In contrast, HTML is all about structure, little about layout.
 <p>
The usability of all-about-layout HTML pages usually is very low.
Thus, to make the resulting pages usable and readable, pdf2simplehtml
ignores most of the layout and only concentrates on making the text
content readable.
 <p>
In a PDF document, spaces are not always saved as text. Sometimes,
each word (or even each letter!) is individually positioned on the page.
pdf2simplehtml tries to guess word breaks, line breaks, and new paragraphs,
by analyzing the distances of lines and words. Sometimes it does not
work well, but most of time it does. It does not understand about
indentations yet. It cannot guess about headers either. It tries to
convert fonts and text sizes.
 <p>
In the author's opinion, pdf2simplehtml converts PDF documents
into better readable HTML pages than Google's cache does.

");
include '/WWW/progdesc.php';
